E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GAuth::SaslClientImp Class Reference

A private pimple-pattern implementation class used by GAuth::SaslClient. More...

## Public Types
typedef SaslClient::Response | Response

## Public Member Functions
| SaslClientImp (const SaslClientSecrets &)
bool | active () const
std::string | preferred (const G::StringArray &) const
Response | response (const std::string &mechanism, const std::string &challenge) const
bool | next ()
std::string | preferred () const
std::string | id () const
std::string | info () const

## Static Public Member Functions
static bool | match (const G::StringArray &mechanisms, const std::string &)

## Detailed Description

A private pimple-pattern implementation class used by GAuth::SaslClient.

Definition at line 43 of file gsaslclient.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslclient.cpp